Gecode::Int::TaskTraits< Unary::OptFlexTask > Class Reference

Task traits for optional flexible tasks. More...

`#include <unary.hh>`

## Public Types

typedef Unary::OptFlexTaskFwd | TaskViewFwd
| The forward task view type.
typedef Unary::OptFlexTaskBwd | TaskViewBwd
| The backward task view type.
typedef Unary::ManFlexTask | ManTask
| The corresponding mandatory task.

## Detailed Description

Task traits for optional flexible tasks.

Definition at line 645 of file unary.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Unary::OptFlexTaskFwd Gecode::Int::TaskTraits< Unary::OptFlexTask >::TaskViewFwd

The forward task view type.

Definition at line 648 of file unary.hh.

## TaskViewBwd

typedef Unary::OptFlexTaskBwd Gecode::Int::TaskTraits< Unary::OptFlexTask >::TaskViewBwd

The backward task view type.

Definition at line 650 of file unary.hh.

## ManTask

typedef Unary::ManFlexTask Gecode::Int::TaskTraits< Unary::OptFlexTask >::ManTask

The corresponding mandatory task.

Definition at line 652 of file unary.hh.

The documentation for this class was generated from the following file:

- gecode/int/unary.hh